services:
  nginx:
    environment:
      RATE_LIMIT_REQUESTS: ${RATE_LIMIT_REQUESTS:-120r/m}
      RATE_LIMIT_BURST: ${RATE_LIMIT_BURST:-30}
      RATE_LIMIT_DELAY: ${RATE_LIMIT_DELAY:-10}
      FIXED_PROJECT_ID: ${FIXED_PROJECT_ID:-1}
    image: registry.gitlab.com/naturalis/bii/linnaeus/linnaeus_ng/nginx:develop
    restart: always
    depends_on:
      - php-fpm
    networks:
      - web
    labels:
      - traefik.enable=true
      - traefik.http.routers.linnaeus.entrypoints=websecure
      - traefik.http.routers.linnaeus.tls=true

  php-fpm:
    image: registry.gitlab.com/naturalis/bii/linnaeus/linnaeus_ng/php-fpm:develop
    restart: always
    depends_on:
      - database
    networks:
      - web
      - backend
    volumes:
      - type: tmpfs
        target: /tmp
        tmpfs:
          # 100MB
          size: 104857600
      - type: tmpfs
        target: /cache
        tmpfs:
          # 100MB
          size: 104857600

  database:
    image: registry.gitlab.com/naturalis/bii/linnaeus/linnaeus_ng/database:develop
    restart: always
    networks:
      - backend

networks:
  web:
    internal: false
  backend:
    internal: true
